#  TMC_seg080_NamesPerFile.R 
#  (c) wwosniok@math.uni-bremen.de

#  Truncated minimum chi-square estimation
#
#  Segment defining output file names that are file specific.
#  Stratum-specific files are defined in the segment 110

#  TODO       
#  -  

#  #  CHANGE HISTORY
#  24.07.2019 File names according to new strategy, see seg050
#  11.03.2019 Start from WWW17_seg20  (directory ProgWW17_RH)

# ===========================================================================

#  Base name for results per file 
outname.file  <- outname

#  Ergebnis fr alle Strata eines Datensatzes (gtab), 
#  txt-Datei mit Zeilenumbruch
outname.file.txt <- paste(path.tab.file,outname,"-g.txt",sep="")
if (file.exists(outname.file.txt)) { file.remove(outname.file.txt) }

#  Ergebnis fr alle Strata eines Datensatzes (gtab), 
#  csv-Datei ohne Zeilenumbruch
outname.file.csv <- paste(path.tab.file,outname,"-g.csv",sep="")
if (file.exists(outname.file.csv)) { file.remove(outname.file.csv) }

#  Ausgabedatei RL1, RL2, empirisch, spaltenweise getrennt nach sex,
RLempfile <- paste(path.tab.file,outname,"_RLemp.csv",sep="")
if (file.exists(RLempfile)) { file.remove(RLempfile) }

#  Ausgabedatei RL1, RL2, geglttet, spaltenweise getrennt nach sex,
RLsmofile <- paste(path.tab.file,outname,"_RLsmo.csv",sep="")
if (file.exists(RLsmofile)) { file.remove(RLsmofile) }


