# TMC_seg100_Analysis_npa.R
#

#  15.02.2021
# ==============================================================================

    # xl.n.npa  <- sum(grp=="L") # also under perfect identification unknown
    xc.n.npa  <- sum(grp=="C")   # this number would be known under perfect
                                 # identification of non-diseased subject
    # xr.n.npa  <- sum(grp=="R") # also under perfect identification unknown
    prev.c.npa <- xc.n.npa/x.n

    #  Calculation of prev.l.npa and prev.r.npa here is different from
    #  the other methods, because prev.c.n is exactly known
    xl.n.npa <- sum(x < x.kde.mode)  - sum((x < x.kde.mode) & (grp=="C")) 
    prev.l.npa <- xl.n.npa/x.n
    xr.n.npa <- sum(x >= x.kde.mode) - sum((x >= x.kde.mode) & (grp=="C")) 
    prev.r.npa <- xr.n.npa/x.n

    #  Optimal truncation interval (left limits are contained, right not)
    if (xl.n.npa == 0)
    { x.tr.lo.npa <- min(x[grp=="C"]) - round.unit/2} else
    { x.tr.lo.npa <- max(x[grp=="L"]) + round.unit/2}
    if (xr.n.npa == 0)
    { x.tr.hi.npa <- max(x[grp=="C"]) + round.unit/2} else
    { x.tr.hi.npa <- min(x[grp=="R"]) - round.unit/2}
    x.tr.n.npa    <- length(x[(x.tr.lo.npa <= x) & (x < x.tr.hi.npa)])
    x.tr.prop.npa <- x.tr.n.npa / x.n  

    x.RL1.npa <- Quantile(x[grp=="C"], probs=RL1.p)
    x.RL2.npa <- Quantile(x[grp=="C"], probs=RL2.p)

    tab.npa <- data.frame(method="npa",
                          x.tr.lo.npa=x.tr.lo.npa, x.tr.hi.npa=x.tr.hi.npa,
                          x.tr.n.npa=x.tr.n.npa, x.tr.prop.npa=x.tr.prop.npa, 
                          xl.n.npa=xl.n.npa, xc.n.npa=xc.n.npa,
                          xr.n.npa=xr.n.npa,
                          prev.l.npa=prev.l.npa, prev.c.npa=prev.c.npa,
                          prev.r.npa=prev.r.npa,
                          x.RL1.npa=x.RL1.npa, x.RL2.npa=x.RL2.npa)   
    row.names(tab.npa) <- NULL
