#  TMC_seg201_OpenWindows.R
#  (c) wwosniok@math.uni-bremen.de

#  Open graph windows and define plot file names for plots requested in
#  TMC_seg045_PlotRequest.R

#  18.04.2020 File names corrected, 202.040, 202.050 added
#  17.12.2020 Start
# ============================================================================

# ============================================================================
if (print.log.message) { cat("%%%   TMC_seg201_OpenWindows.R  Start\n") }
# ============================================================================

# ============================================================================
# Open.202.010.R
# ============================================================================
  if (plot.fig202.010)
  { #  Plot is wanted
    if (!exists("fig202.010"))
    { #  Open graph new window
      win.graph()
      fig202.010 <- dev.cur()
    }
    fig202.010.file <- paste(path.fig.scen.Id, outname.stra,"-F202.010.",
                             figtype,sep="")
    if (file.exists(fig202.010.file)) { file.remove(fig202.010.file) }
  } else
  { #  Plot is not wanted
    fig202.010 <- NA
  }


# ============================================================================
# Open.202.020.R
# ============================================================================
  if (plot.fig202.020)
  { #  Plot is wanted
    if (!exists("fig202.020"))
    { #  Open graph new window
      win.graph()
      fig202.020 <- dev.cur()
    }
    fig202.020.file <- paste(path.fig.scen.Id, outname.stra,"-F202.020.",
                             figtype,sep="")
    if (file.exists(fig202.020.file)) { file.remove(fig202.020.file) }
  } else
  { #  Plot is not wanted
    fig202.020 <- NA
  }


# ============================================================================
# Open.202.030.R
# ============================================================================
  if (plot.fig202.030)
  { #  Plot is wanted
    if (!exists("fig202.030"))
    { #  Open graph new window
      win.graph()
      fig202.030 <- dev.cur()
    }
    fig202.030.file <- paste(path.fig.scen.Id, outname.stra,"-F202.030.",
                             figtype,sep="")
    if (file.exists(fig202.030.file)) { file.remove(fig202.030.file) }
  } else
  { #  Plot is not wanted
    fig202.030 <- NA
  }

# ============================================================================
# Open.202.040.R
# ============================================================================
  if (plot.fig202.040)
  { #  Plot is wanted
    if (!exists("fig202.040"))
    { #  Open graph new window
      win.graph()
      fig202.040 <- dev.cur()
    }
    fig202.040.file <- paste(path.fig.scen.Id, outname.stra,"-F202.040.",
                             figtype,sep="")
    if (file.exists(fig202.040.file)) { file.remove(fig202.040.file) }
  } else
  { #  Plot is not wanted
    fig202.040 <- NA
  }

# ============================================================================
# Open.202.050.R
# ============================================================================
  if (plot.fig202.050)
  { #  Plot is wanted
    if (!exists("fig202.050"))
    { #  Open graph new window
      win.graph()
      fig202.050 <- dev.cur()
    }
    fig202.050.file <- paste(path.fig.scen.Id, outname.stra,"-F202.050.",
                             figtype,sep="")
    if (file.exists(fig202.050.file)) { file.remove(fig202.050.file) }
  } else
  { #  Plot is not wanted
    fig202.050 <- NA
  }

# ============================================================================
if (print.log.message) { cat("%%%   TMC_seg201_OpenWindows.R  End\n") }
# ============================================================================
